CREATE TABLE Account 
( id                   INTEGER      PRIMARY KEY AUTOINCREMENT, 
  name                 TEXT         NOT NULL, 
  created_ms           INTEGER      NOT NULL, 
  updated_ms           INTEGER      NOT NULL, 
  password             TEXT         NOT NULL, 
  password_type        TEXT         NOT NULL,
  key                  TEXT         NOT NULL,
  key_crypt_scheme     TEXT         NOT NULL,
  default_mask_char    INTEGER      NOT NULL
);

CREATE TABLE Note 
( id                   INTEGER      PRIMARY KEY AUTOINCREMENT, 
  title                TEXT         NOT NULL,
  text                 TEXT         NOT NULL, 
  account_id           INTEGER      NOT NULL  CONSTRAINT fk_Note1 REFERENCES Account(id) ON DELETE CASCADE,
  position             INTEGER      NOT NULL, 
  created_ms           INTEGER      NOT NULL, 
  updated_ms           INTEGER      NOT NULL, 
  mask_char            INTEGER      NOT NULL,
  crypt_scheme         TEXT         NOT NULL
);

CREATE TABLE Event
( id                   INTEGER      PRIMARY KEY AUTOINCREMENT,
  type                 TEXT         NOT NULL,
  ref_id               INTEGER      NOT NULL,
  time                 INTEGER      NOT NULL,
  message              TEXT         NOT NULL
);

CREATE TABLE Settings
( id                   INTEGER      PRIMARY KEY AUTOINCREMENT, 
  key                  TEXT         NOT NULL,
  value                TEXT         NOT NULL, 
  account_id           INTEGER      NOT NULL  CONSTRAINT fk_Note1 REFERENCES Account(id) ON DELETE CASCADE
);
